package com.yeejoin.amos.api.common.restful.utils;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 返回封装对象
 * </pre>
 *
 * @author gwb
 * @version $Id: CommonResponse.java, v 0.1 2021年9月28日 下午4:37:40 gwb Exp $
 */
public class ResponseModel<T> implements Serializable {

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 2969089929549147825L;

	/**
	 * 响应数据
	 */
	private T result ;
	
	/**
	 * 状态码
	 */
	private int status;

	/**
	 * 提示信息
	 */
	private String message = "";

	
    public ResponseModel(){

    }
    
    public T getResult()
	{
		return result;
	}


	public void setResult(T result)
	{
		this.result = result;
	}


	public int getStatus()
	{
		return status;
	}


	public void setStatus(int status)
	{
		this.status = status;
	}


	public String getMessage()
	{
		return message;
	}


	public void setMessage(String message)
	{
		this.message = message;
	}


	@Override
	public String toString()
	{
		return "CommonResponse [status=" + status + ", result=" + result + ", message="	+ message + "]";
	}
}
